# Uses of Class
com.google.protobuf.compiler.PluginProtos.Version

Packages that use PluginProtos.Version
Package
Description
com.google.protobuf.compiler

## Uses of PluginProtos.Version in com.google.protobuf.compiler

Fields in com.google.protobuf.compiler with type parameters of type PluginProtos.Version
Modifier and Type
Field
Description
`static final Parser<PluginProtos.Version>`
PluginProtos.Version.`PARSER`
Deprecated.
Methods in com.google.protobuf.compiler that return PluginProtos.Version
Modifier and Type
Method
Description
`PluginProtos.Version`
PluginProtos.Version.Builder.`build()`
`PluginProtos.Version`
PluginProtos.Version.Builder.`buildPartial()`
`PluginProtos.Version`
PluginProtos.CodeGeneratorRequest.Builder.`getCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.Version`
PluginProtos.CodeGeneratorRequest.`getCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.Version`
PluginProtos.CodeGeneratorRequestOrBuilder.`getCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`static PluginProtos.Version`
PluginProtos.Version.`getDefaultInstance()`
`PluginProtos.Version`
PluginProtos.Version.Builder.`getDefaultInstanceForType()`
`PluginProtos.Version`
PluginProtos.Version.`getDefaultInstanceForType()`
`static PluginProtos.Version`
PluginProtos.Version.`parseDelimitedFrom(InputStream input)`
`static PluginProtos.Version`
PluginProtos.Version.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(byte[] data)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(ByteString data)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(CodedInputStream input)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(InputStream input)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(ByteBuffer data)`
`static PluginProtos.Version`
PluginProtos.Version.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf.compiler that return types with arguments of type PluginProtos.Version
Modifier and Type
Method
Description
`Parser<PluginProtos.Version>`
PluginProtos.Version.`getParserForType()`
`static Parser<PluginProtos.Version>`
PluginProtos.Version.`parser()`
Methods in com.google.protobuf.compiler with parameters of type PluginProtos.Version
Modifier and Type
Method
Description
`PluginProtos.CodeGeneratorRequest.Builder`
PluginProtos.CodeGeneratorRequest.Builder.`mergeCompilerVersion(PluginProtos.Version value)`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.Version.Builder`
PluginProtos.Version.Builder.`mergeFrom(PluginProtos.Version other)`
`static PluginProtos.Version.Builder`
PluginProtos.Version.`newBuilder(PluginProtos.Version prototype)`
`PluginProtos.CodeGeneratorRequest.Builder`
PluginProtos.CodeGeneratorRequest.Builder.`setCompilerVersion(PluginProtos.Version value)`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`